Bug 474108 - rxvt-unicode does not display bold font in mc
rxvt-unicode does not display bold font in mc
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
12
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-02 04:10 EST by Jan Safranek
Modified: 2016-03-30 03:06 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:04:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Safranek 2008-12-02 04:10:43 EST
Description of problem:
urxvt with TERM=rxvt-unicode running Midnight Commander displays directories in white font only (should be bold white). Mcedit syntax highlighter does not display bold fonts too.

urxvt with TERM=xterm displays correct bold fonts.


Version-Release number of selected component (if applicable):
rxvt-unicode-9.05-1.fc9.x86_64
ncurses-base-5.6-18.20080628.fc9.x86_64

How reproducible:
always

Steps to Reproduce:
1. urxvt -e mc
  
Actual results:
directories are not bold

Expected results:
directories are bold
Comment 1 Jan Safranek 2008-12-02 04:14:41 EST
Applies also to vim, it's syntax highlighter cannot display bold fonts with TERM=rxvt-unicode
Comment 2 Thomas E. Dickey 2008-12-13 14:02:46 EST
It's a bug in rxvt-unicode, should be reassigned to that program.
Comment 3 Miroslav Lichvar 2009-01-29 07:18:10 EST
This is actually a mc bug. It assumes that slang will use bold attribute for colors above 8, but slang does that only for terminals with 8 colors. To have this working correctly on terminals with more colors, mc should add SLTT_BOLD_MASK to the color objects.

I guess vim has a similar problem.

A workaround is to set colors to 8 in the terminfo entry.
Comment 4 Bug Zapper 2009-06-09 23:23:02 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-11-16 04:41:48 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-11-04 07:38:45 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-12-05 02:04:56 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Vladimir Panteleev 2016-03-30 03:06:00 EDT
For anyone stumbling upon this problem:

Because Slang can decouple the bold attribute from bright colors on urxvt, mc would need to explicitly specify the bold attribute as appropriate (which it does not). The solution is to configure mc to explicitly use bold colors as desired, e.g. by editing the default skin as follows:

> mkdir ~/.local/share/mc/skins 
> cp /usr/share/mc/skins/default.ini ~/.local/share/mc/skins/
> sed -i -E 's/^(.* = (gray|brightred|brightgreen|yellow|brightblue|brightmagenta|brightcyan|white);.*)$/\0;bold/' ~/.local/share/mc/skins/default.ini

The above will create a copy of the default skin, but with all bright colors having an explicit bold attribute added.

Note You need to log in before you can comment on or make changes to this bug.